#ifndef SCANSETTINGS_H
#define SCANSETTINGS_H

#include <QDialog>

#include <iostream>

#include "lbtsettings.h"

using namespace std;

namespace Ui {
    class ScanSettings;
}

class ScanSettings : public QDialog {
    Q_OBJECT
public:
    LbtSettings new_settings;

    ScanSettings(QWidget *parent = 0);
    ~ScanSettings();

    void updateWidgets(LbtSettings &s);
public slots:
    void slot_ScanSettings_show_samples(int samples);
    void slot_ScanSettings_show_speed(int speed);

protected:
    void changeEvent(QEvent *e);

private:
    Ui::ScanSettings *ui;
};

#endif // SCANSETTINGS_H
